package fr.titionfire.ffsaf.utils;

import fr.titionfire.ffsaf.domain.service.TradService;
import io.quarkus.runtime.annotations.RegisterForReflection;

@RegisterForReflection
public enum GradeArbitrage {
    NA("N/A"),
    ASSESSEUR("Assesseur"),
    ARBITRE("Arbitre");

    public final String str;

    GradeArbitrage(String name) {
        this.str = name;
    }

    public String getString(TradService trad) {
        return switch (this) {
            case NA -> trad.translate("GradeArbitrage.NA");
            case ASSESSEUR -> trad.translate("GradeArbitrage.ASSESSEUR");
            case ARBITRE -> trad.translate("GradeArbitrage.ARBITRE");
        };
    }

    @Override
    public String toString() {
        return str;
    }
}
